#  *******************************************************************************
#  Copyright (c) 2019 Contributors to the Eclipse Foundation
#
#  See the NOTICE file(s) distributed with this work for additional
#  information regarding copyright ownership.
#
#  This program and the accompanying materials are made available under the
#  terms of the Eclipse Public License v. 2.0 which is available at
#  http://www.eclipse.org/legal/epl-2.0.
#
#  SPDX-License-Identifier: EPL-2.0
#  *******************************************************************************
spring:
  datasource:
    url: jdbc:postgresql://entopticadirx:5432/GridFailureInfoDevServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
  flyway:
    enabled: false
  rabbitmq:
    host: entdockergss
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    import_exchange: sitImportExchange
    failure_import_queue: sitImportQueue
    failure_import_routingkey: sitImportExchange.failureImportKey
server:
  max-http-request-header-size: 262144

---

spring:
  config:
    activate:
      on-profile: test

  datasource:
    url: jdbc:h2:mem:test;DB_CLOSE_DELAY=-1
jpa:
  hibernate:
    ddl-auto: create
  show-sql: true
flyway:
  enabled: false

---

spring:
  config:
    activate:
      on-profile: devserver

server:
  port: 9175

---

spring:
  config:
    activate:
      on-profile: devserver-unsecure

server:
  port: 9176

---

spring:
  config:
    activate:
      on-profile: qserver
  datasource:
    url: jdbc:postgresql://localhost:5432/GridFailureInfoQaServer
    username: ${GFI_DB_USERNAME}
    password: ${GFI_DB_PASSWORD}
  flyway:
    enabled: false
  rabbitmq:
    host: localhost
    port: 5672
    username: ${GFI_RABBITMQ_USERNAME}
    password: ${GFI_RABBITMQ_PASSWORD}
    import_exchange: sitImportExchange
    failure_import_queue: sitImportQueue
    failure_import_routingkey: sitImportExchange.failureImportKey

server:
  port: 9175
  servlet:
    session:
      tracking-modes: cookie
  max-http-request-header-size: 262144

swagger:
  baseUrl: /
